Subject: bug#49953: 28.0.50; tmm is broken on compiled menus

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 09 Aug 2021 15:20:58 +0200

Juri Linkov <[email-masked]> writes:

> This regression began to occur after merging native-compilation.
> It seems the problem is that tmm-get-keymap does very strange things:
>
> 	(cond ((if (listp elt)
> 		   (or (keymapp elt) (eq (car elt) 'lambda))
> 		 (and (symbolp elt) (fboundp elt)))
>
> I don't know why it checks for 'lambda' and 'symbolp',
> but such checks fail on a compiled function.

Yeah, or why the listp at all...  I think the correct test in all these
cases are (or (keymapp elt) (functionp elt))?  So I've now done that on
the trunk, and that seems to make things work.  But there may be
something subtle here, so I guess we'll see...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no